Debian Bug report logs - #521489
space after href ends up rendered

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: jidanni@jidanni.org

Date: Fri, 27 Mar 2009 21:12:02 UTC

Severity: normal

Found in version lynx-cur/2.8.7pre1-1

Fixed in version lynx-cur/2.8.7pre2-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dickey@invisible-island.net, Atsuhito KOHDA <kohda@debian.org>:
Bug#521489; Package lynx-cur. (Fri, 27 Mar 2009 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to dickey@invisible-island.net, Atsuhito KOHDA <kohda@debian.org>. (Fri, 27 Mar 2009 21:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: space after href ends up rendered
Date: Sat, 28 Mar 2009 05:00:36 +0800
Package: lynx-cur
Version: 2.8.7pre1-1
X-debbugs-cc: dickey@invisible-island.net

Can you believe if you have a space after "href=", it ends up getting
rendered?!:

$ lynx -dump -nolist q.html
   A(B)

   C( D)

$ cat q.html
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">

<html>
<head>
 <title>test</title>
</head>

<body>
 <p>A(<a href="x">B</a>)</p>

 <p>C(<a href= "x">D</a>)</p>
</body>
</html>

P.S.,
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=lynx-cur;submitter=jidanni@jidanni.org
is getting embarrassingly big, but that is the only bug tracker for
lynx I can find.




Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Fri, 01 May 2009 09:27:17 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Fri, 01 May 2009 09:27:19 GMT) Full text and rfc822 format available.

Message #10 received at 521489-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 521489-close@bugs.debian.org
Subject: Bug#521489: fixed in lynx-cur 2.8.7pre2-1
Date: Fri, 01 May 2009 09:22:26 +0000
Source: lynx-cur
Source-Version: 2.8.7pre2-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.7pre2-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.7pre2-1_all.deb
lynx-cur_2.8.7pre2-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7pre2-1.diff.gz
lynx-cur_2.8.7pre2-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.7pre2-1.dsc
lynx-cur_2.8.7pre2-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.7pre2-1_i386.deb
lynx-cur_2.8.7pre2.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7pre2.orig.tar.gz
lynx_2.8.7pre2-1_all.deb
  to pool/main/l/lynx-cur/lynx_2.8.7pre2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521489@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 May 2009 13:02:04 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.7pre2-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 398986 426481 519199 521489
Changes: 
 lynx-cur (2.8.7pre2-1) unstable; urgency=low
 .
   * New Upstream Release.
    - modify Lynx's DTD information.  (Closes: #398986)
    - correct length of padding with underscores.  (Closes: #519199)
    - fix a few cases where PUTC's intended for pretty-src would display in the
      HTML view.  (Closes: #521489)
   * Can use persistent cookies now but please edit /etc/lynx-cur/lynx.cfg
     and make it looks as "PERSISTENT_COOKIES:TRUE"  (Closes: #426481)
   * Updated patch-1 so it should be applied cleanly.
   * Fixed typo in 2.8.7pre1-1 changelog.
Checksums-Sha1: 
 d73ba7766806b02e5aa8f71fe6764e2dba6ab32a 1214 lynx-cur_2.8.7pre2-1.dsc
 2567c42581a4a756124dd04963f6a575b5fa7008 3412516 lynx-cur_2.8.7pre2.orig.tar.gz
 7b91a07e72a1c640a028a56ce47b70e4b9bc5a9e 30303 lynx-cur_2.8.7pre2-1.diff.gz
 40dfe29046988f096b3c11a1814d3c2c7f8aef1b 17324 lynx-cur-wrapper_2.8.7pre2-1_all.deb
 9724703c14d5bd78fa9431614ec1564f45df976e 14792 lynx_2.8.7pre2-1_all.deb
 f4474ef05cfaff5ba8830a88639e4c89c3d31158 2101306 lynx-cur_2.8.7pre2-1_i386.deb
Checksums-Sha256: 
 79cbe94ac34a76b2185e113cfe98a84431cb0ad9a01cf8f080b533f148e48a77 1214 lynx-cur_2.8.7pre2-1.dsc
 936411714aae590045938e509512069b6175572518eb86fb902f9b116c45c15c 3412516 lynx-cur_2.8.7pre2.orig.tar.gz
 6d1808422d21be1ddbf9e9aaa4db89623c5d2cf19bf1cad8f61243a37c713819 30303 lynx-cur_2.8.7pre2-1.diff.gz
 4e13b4637dd6e14aac1b57d03a728034393f67508c47bbdc7d6abb9574625c7a 17324 lynx-cur-wrapper_2.8.7pre2-1_all.deb
 ef87a4dd9ad2ab777f076e431e88eae656791196d632c576d1485a62c02ec137 14792 lynx_2.8.7pre2-1_all.deb
 f1d3d9a415c27b3b4073717390319bbe5e51e45d9b5922626c6090a4fb7b0810 2101306 lynx-cur_2.8.7pre2-1_i386.deb
Files: 
 279f7a2766bda956aec5024f1f0f85d9 1214 web extra lynx-cur_2.8.7pre2-1.dsc
 c77c289502036872c5882fe0d8b67957 3412516 web extra lynx-cur_2.8.7pre2.orig.tar.gz
 ceffa787a654fc2440c6b106d55e0863 30303 web extra lynx-cur_2.8.7pre2-1.diff.gz
 39a24fcde68e436fec846c1b414126b1 17324 web extra lynx-cur-wrapper_2.8.7pre2-1_all.deb
 ae38df4e244c9fbbc619730d86d93e1c 14792 web extra lynx_2.8.7pre2-1_all.deb
 edbd1a7aa53f04ca41a9b19d70de9ad9 2101306 web extra lynx-cur_2.8.7pre2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkn6hu0ACgkQ1IXdL1v6kOxhrQCeJfFsrZTnmT/AoCju8fn+Cwkk
PZsAoJsmBvb0iZldyIZHEGpo/9vCF9LT
=hIJk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jul 2009 07:38:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:26:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.